Compiz su Slackware 12.0

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
gohanz
Staff
Staff
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda gohanz » sab lug 14, 2007 20:45

Una novità di Gslacky 2.18.3! Gnome Compiz Manager! :p Anche se a me non funziona per hardware antiquato! :cry:

Immagine

Avatar utente
waka_jawaka
Linux 3.x
Linux 3.x
Messaggi: 781
Iscritto il: mer ago 10, 2005 0:00
Nome Cognome: Alberto Palillo
Kernel: 2.6.35
Desktop: KDE 4.5
Distribuzione: Archlinux

Messaggioda waka_jawaka » dom lug 15, 2007 16:55

Sono riuscito, dopo vari smadonnamenti, a far funzionare compizconfig setting manager (ccsm) con fusion (installato seguendo le istruzioni di serevi).
Bisogna scaricare da mytux i sorgenti di ccs-libs, ccs-setting e ccsm e compilarli modificando lo slackbuild in modo che si installino in /usr/local; poi scaricare e installare il pacchetto ccs-python (che deve andare necessariamente in /usr). Bisogna poi modificare lo script di avvio di compiz sostituendo "--replace ini" con "--replace ccp".
Lanciando ccsm si possono fare le varie modifiche a applicarle al volo.

Zav0k
Linux 0.x
Linux 0.x
Messaggi: 63
Iscritto il: dom mag 06, 2007 9:41
Slackware: current
Kernel: 2.6.37.3-smp
Desktop: Kde 4.4.5
Località: Fucecchio

Messaggioda Zav0k » dom lug 15, 2007 18:30

slucky ha scritto:Leggiti il post di alessiodf nella prima pagina di questo topic, e aggiungi tutte quelle opzioni al tuo xorg.conf, mi pare che anche l'autore ha una ati e poi riprova e vedi se funziona :D

Ciao

Grazie ora funziona tutto con tutti gli effettazzi, non mi ero accorto che avevo ancora installato i driver closed :oops:
C' è però ancora una cosa che non mi torna

Codice: Seleziona tutto

theZeus@0pt1mumPr1m3:~$ glxinfo | grep rendering
libGL warning: 3D driver claims to not support visual 0x4b
direct rendering: Yes

e questo problema non lo manifestava con i driver closed :?

John-Cena ha scritto:
francogdn ha scritto:
lucif3r0 ha scritto:forse ho perso qualche passaggio? perchè dici che funziona anche
senza direct rendering? Anche io ho una SiS nel mio portatile, una
M661 se ricordo bene, cioè una di quelle dove non va il DRI... ergo la
cosa mi interessa, se riesci a fare partire compiz con la SiS avvertimi
urgentemente!!! :D


Chiedevo conferma a John-Cena, dato che anche a lui il comando glxinfo | grep rendering ha restituito direct rendering: No.
Volevo capire se il direct rendering fosse indispensabile per il funzionamento di Compiz.
Per il resto, credo che farò i primi esperimenti, se avrò tempo, questo weekend. Se riesco a far funzionare Compiz sulla SiS ti avvertirò "urgentemente". ;)

Ciao.


ecco ora cosa mi viene restituito:

Codice: Seleziona tutto

[vito@Vito:~]$ glxinfo | grep rendering
libGL warning: 3D driver claims to not support visual 0x4b
direct rendering: Yes

il mio errore era di non fargli caricare il modulo :D


Di quale modulo sta parlando :?:

marketto
Linux 0.x
Linux 0.x
Messaggi: 3
Iscritto il: lun lug 16, 2007 14:06

Messaggioda marketto » lun lug 16, 2007 14:14

Ciao,
ho installato ccsm per configurare compiz, e dopo averlo lanciato ottengo il pannello con le varie voci.
E' normale che dentro una singola voce trovi questo?
Immagine

Immagino debba leggere i vari parametri da qualche file, ma sotto quale dir lo trovo e/o creo?

Avatar utente
aLvArO
Linux 4.x
Linux 4.x
Messaggi: 1201
Iscritto il: mer mar 30, 2005 0:00
Nome Cognome: alessio
Slackware: current64
Kernel: 2.6.30-rc8-smp
Desktop: kde 4.2.4
Località: Catanzaro Lido (CZ)
Contatta:

Messaggioda aLvArO » lun lug 16, 2007 16:03

se hai seguito alla lettera il post di waka_jawaka allora nn ci dovrebbe essere nessun file dovresti impostare da la.
se ti sei limitato ad installare soltanto ccsm nn perdere tempo perché nn configura niente.
ciao

marketto
Linux 0.x
Linux 0.x
Messaggi: 3
Iscritto il: lun lug 16, 2007 14:06

Messaggioda marketto » lun lug 16, 2007 18:15

Andando a memoria ho seguito questi passaggi:
- installato una slack12 pulita;
- messo i driver nVidia e configurato xorg;
- fatto partire kde;
- installato i file ccs richiesti.

E' possibile che compiz parta da solo? Sotto ~/.kde/Autostart non c'è niente :roll:

Avatar utente
carocco
Linux 0.x
Linux 0.x
Messaggi: 49
Iscritto il: gio apr 12, 2007 15:31

Messaggioda carocco » lun lug 16, 2007 18:47

@marketto

Se non lo killi prima di uscire da kde (o di riavviare se usi il runlevel 4) al nuovo avvio ricarica anche compiz.

KDE ha infatti di default selezionata l'opzione di "ripristino dell'ultima sessione", quindi anche se lasci aperto un terminale te lo ritrovi al nuovo avvio.

Se vuoi evitare che compiz parta da solo puoi modificare l'opzione di cui sopra dal KDE Control Panel.

marketto
Linux 0.x
Linux 0.x
Messaggi: 3
Iscritto il: lun lug 16, 2007 14:06

Messaggioda marketto » lun lug 16, 2007 22:34

ok, ci siamo quasi.
tramite "compiz --replace ini &" carico compiz prendendo le impostazioni dai vari file ini creati dentro .compiz/, mentre se provo con "compiz --replace ccp &" ottengo questo:

Codice: Seleziona tutto

compiz: can't load plugin 'ccp' because it is built for ABI version 1 and actual version is 20070328


è capitato a qualcuno?

Avatar utente
waka_jawaka
Linux 3.x
Linux 3.x
Messaggi: 781
Iscritto il: mer ago 10, 2005 0:00
Nome Cognome: Alberto Palillo
Kernel: 2.6.35
Desktop: KDE 4.5
Distribuzione: Archlinux

Messaggioda waka_jawaka » mar lug 17, 2007 0:49


Avatar utente
aLvArO
Linux 4.x
Linux 4.x
Messaggi: 1201
Iscritto il: mer mar 30, 2005 0:00
Nome Cognome: alessio
Slackware: current64
Kernel: 2.6.30-rc8-smp
Desktop: kde 4.2.4
Località: Catanzaro Lido (CZ)
Contatta:

Messaggioda aLvArO » mar lug 17, 2007 14:19

ekxius ha scritto:ciao a tutti!

qualcuno di voi si è già compilato openoffice-it? io ogni volta che lancio una sua applicazione compiz va in crash facendo sparire i bordi delle finestre e lo devo sempre riavviare...

capita anche a voi?


capita anche a me esattamente il tuo errore

Meskalamdug
Iper Master
Iper Master
Messaggi: 3868
Iscritto il: ven mag 14, 2004 0:00

Messaggioda Meskalamdug » mar lug 17, 2007 15:55

Fermi tutti!

http://web.tiscali.it/meskalamdug/aiglx.html

Qualche nota
1)Compiz 0.5 buttatelo..è storia ormai
2)I drivers nvidia sono buggatissimi
compiz lo potete usare ok...ma scordatevi
a)Giochi in fullscreen,a meno che non disatti
viate compiz
b)Lo switch di console,ossia se passate
a tty6...non tornate su X,provare per
capire... :badgrin:
3)Tutto sommato è comunque usabile
4)I pacchetti su mytux sono vecchi
risalgono al 15/6 se non erro,il server
mi da errore di upload e i gestori
sembrano svaniti nel nulla,quindi se volete
che vi uppi pacchetti freschi ogni 15 giorni...
mi dovete dare uno spazio ftp ;)
Visto che la current al momento è identica
alla 12 posso fornire gli slackbuilds,e le patch
ai gestori di slacky,basta chiedere.
Gconf2 GRAZIE A DIO non è necessario
con 2 patches create da me lo saltate
infatti se notate bene i pacchetti di mytux
non richiedono il palloso gconf2.
5)Utenti ati,xgl....mi dispiace
ma dovete arraggiarvi e sudare...
ati ha un supporto linux pessimo
,vi conviene passare a nvidia.

paperboy
Linux 0.x
Linux 0.x
Messaggi: 60
Iscritto il: gio set 07, 2006 6:31

Messaggioda paperboy » mar lug 17, 2007 15:56

ragazzi ho letto questo interessantissimo post, perchè non iniziate a buttar giu una guida, anche se incompleta?
dopotutto il wiki serve a scrivere articoli a piu mani, qualcuno inizia e poi pian piano si corregge tutti insieme no?

Avatar utente
JohnnyMnemonic
Staff
Staff
Messaggi: 2733
Iscritto il: dom set 05, 2004 0:00
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos
Località: Bologna
Contatta:

Messaggioda JohnnyMnemonic » mar lug 17, 2007 16:04

Mi associo alla richiesta di paperboy! e visto che si è intanti ormai a sbattersi con compiz, si potrebbe differenziare bene cosa fare per chi ha nvidia/ati/intel

Meskalamdug
Iper Master
Iper Master
Messaggi: 3868
Iscritto il: ven mag 14, 2004 0:00

Messaggioda Meskalamdug » mar lug 17, 2007 16:14

paperboy ha scritto:ragazzi ho letto questo interessantissimo post, perchè non iniziate a buttar giu una guida, anche se incompleta?
dopotutto il wiki serve a scrivere articoli a piu mani, qualcuno inizia e poi pian piano si corregge tutti insieme no?

La mia non va bene?
:(

Avatar utente
JohnnyMnemonic
Staff
Staff
Messaggi: 2733
Iscritto il: dom set 05, 2004 0:00
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos
Località: Bologna
Contatta:

Messaggioda JohnnyMnemonic » mar lug 17, 2007 16:19

Meskalamdug ha scritto:
paperboy ha scritto:ragazzi ho letto questo interessantissimo post, perchè non iniziate a buttar giu una guida, anche se incompleta?
dopotutto il wiki serve a scrivere articoli a piu mani, qualcuno inizia e poi pian piano si corregge tutti insieme no?

La mia non va bene?
:(


La tua è certamente un ottimo lavoro, però ci sono due cose che motivano la richiesta di una guida

- intanto il fatto che sia nel wiki di slacky e quindi direttamente accessibile dal sito
- la seconda il fatto che la tua sia orientata verso chi ha schede nvidia, chi come me ha intel o (poveri loro) ati, deve seguire le stesse indicazioni?